Index: trunk/abdev/BasicCompiler64/NumOpe.cpp
===================================================================
--- trunk/abdev/BasicCompiler64/NumOpe.cpp	(revision 255)
+++ trunk/abdev/BasicCompiler64/NumOpe.cpp	(revision 257)
@@ -25,5 +25,5 @@
 		SetStringQuotes( parameter );
 
-		Operator_New( *compiler.GetMeta().GetClasses().GetStringClassPtr(), "", parameter, Type( DEF_OBJECT, *compiler.GetMeta().GetClasses().GetStringClassPtr() ) );
+		Operator_New( *compiler.objectModule.meta.GetClasses().GetStringClassPtr(), "", parameter, Type( DEF_OBJECT, *compiler.objectModule.meta.GetClasses().GetStringClassPtr() ) );
 
 		free( parameter );
@@ -259,5 +259,5 @@
 		Type leftType;
 		if( GetTermType( termLeft, leftType, isLiteral, &isClassName ) ){
-			if( isClassName == false && compiler.GetMeta().GetBlittableTypes().IsExist( leftType ) ){
+			if( isClassName == false && compiler.objectModule.meta.GetBlittableTypes().IsExist( leftType ) ){
 				// 左側のオブジェクト部分がBlittable型のとき
 
@@ -265,5 +265,5 @@
 				lstrcpy( temporary, termLeft );
 				sprintf( termLeft, "%s(%s)",
-					compiler.GetMeta().GetBlittableTypes().Find( leftType ).GetCreateStaticMethodFullName().c_str(),
+					compiler.objectModule.meta.GetBlittableTypes().Find( leftType ).GetCreateStaticMethodFullName().c_str(),
 					temporary );
 			}
@@ -293,5 +293,5 @@
 
 	if( pIsClassName ){
-		if( compiler.GetMeta().GetClasses().Find( termFull ) ){
+		if( compiler.objectModule.meta.GetClasses().Find( termFull ) ){
 			*pIsClassName = true;
 			return true;
@@ -387,5 +387,5 @@
 		}
 
-		ConstMacro *pConstMacro = compiler.GetMeta().GetGlobalConstMacros().Find( procName );
+		ConstMacro *pConstMacro = compiler.objectModule.meta.GetGlobalConstMacros().Find( procName );
 		if( pConstMacro )
 		{
@@ -574,5 +574,5 @@
 		}
 
-		i2 = compiler.GetDataTable().AddBinary( binary, num * tempBaseType.GetSize() );
+		i2 = compiler.objectModule.dataTable.AddBinary( binary, num * tempBaseType.GetSize() );
 
 		//mov reg,i2
@@ -603,5 +603,5 @@
 
 			if(resultType.IsDouble()){
-				i3 = compiler.GetDataTable().Add( i64data );
+				i3 = compiler.objectModule.dataTable.Add( i64data );
 
 				//movlpd xmm_reg,qword ptr[data table offset]
@@ -617,5 +617,5 @@
 				memcpy(&i32data,&flt,sizeof(long));
 
-				i3 = compiler.GetDataTable().Add( i32data );
+				i3 = compiler.objectModule.dataTable.Add( i32data );
 
 				//movss xmm_reg,dword ptr[data table offset]
@@ -798,5 +798,5 @@
 
 						type_stack[sp]=DEF_OBJECT;
-						index_stack[sp]=(LONG_PTR)compiler.GetMeta().GetClasses().GetStringClassPtr();
+						index_stack[sp]=(LONG_PTR)compiler.objectModule.meta.GetClasses().GetStringClassPtr();
 						bLiteralCalculation=0;
 
@@ -811,5 +811,5 @@
 					bLiteralCalculation=0;
 
-					i2 = compiler.GetDataTable().AddString( term, i3 );
+					i2 = compiler.objectModule.dataTable.AddString( term, i3 );
 
 					//mov reg,i2
@@ -904,5 +904,5 @@
 						}
 						else{
-							index_stack[sp] = (LONG_PTR)compiler.GetMeta().GetClasses().GetObjectClassPtr();
+							index_stack[sp] = (LONG_PTR)compiler.objectModule.meta.GetClasses().GetObjectClassPtr();
 						}
 
@@ -927,10 +927,10 @@
 					//////////////
 
-					i3 = compiler.GetMeta().GetGlobalConsts().GetBasicType(term);
+					i3 = compiler.objectModule.meta.GetGlobalConsts().GetBasicType(term);
 					if(i3){
-						if( compiler.GetMeta().GetGlobalConsts().IsStringPtr( term ) ){
+						if( compiler.objectModule.meta.GetGlobalConsts().IsStringPtr( term ) ){
 							//リテラル文字列
 
-							double dbl = compiler.GetMeta().GetGlobalConsts().GetDoubleData(term);
+							double dbl = compiler.objectModule.meta.GetGlobalConsts().GetDoubleData(term);
 							memcpy(&i64data,&dbl,sizeof(double));
 
@@ -946,5 +946,5 @@
 						if(IsRealNumberType(i3)){
 							//実数
-							double dbl = compiler.GetMeta().GetGlobalConsts().GetDoubleData(term);
+							double dbl = compiler.objectModule.meta.GetGlobalConsts().GetDoubleData(term);
 							memcpy(&i64data,&dbl,sizeof(double));
 							goto Literal;
@@ -952,5 +952,5 @@
 						else if(IsWholeNumberType(i3)){
 							//整数
-							i64data = compiler.GetMeta().GetGlobalConsts().GetWholeData(term);
+							i64data = compiler.objectModule.meta.GetGlobalConsts().GetWholeData(term);
 							goto Literal;
 						}
@@ -993,5 +993,5 @@
 						}
 						else{
-							i3 = compiler.GetDataTable().Add( i64data );
+							i3 = compiler.objectModule.dataTable.Add( i64data );
 
 							//movlpd xmm_reg,qword ptr[data table offset]
@@ -1015,5 +1015,5 @@
 						}
 						else{
-							i3=compiler.GetDataTable().Add( i32data );
+							i3=compiler.objectModule.dataTable.Add( i32data );
 
 							//movss xmm_reg,dword ptr[data table offset]
